summaryrefslogtreecommitdiffstats
path: root/source/l/gtk+2/gtk+2.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/l/gtk+2/gtk+2.SlackBuild')
-rwxr-xr-xsource/l/gtk+2/gtk+2.SlackBuild33
1 files changed, 25 insertions, 8 deletions
diff --git a/source/l/gtk+2/gtk+2.SlackBuild b/source/l/gtk+2/gtk+2.SlackBuild
index 92f95449a..e006023a1 100755
--- a/source/l/gtk+2/gtk+2.SlackBuild
+++ b/source/l/gtk+2/gtk+2.SlackBuild
@@ -1,6 +1,6 @@
-#!/bin/sh
+#!/bin/bash
-# Copyright 2008, 2009, 2010, 2011, 2012, 2013, 2016 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010, 2011, 2012, 2013, 2016, 2018 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -20,9 +20,11 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
+PKGNAM=gtk+2
VERSION=${VERSION:-$(echo gtk+-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
NUMJOBS=${NUMJOBS:-" -j7 "}
@@ -36,7 +38,14 @@ if [ -z "$ARCH" ]; then
esac
fi
-CWD=$(pwd)
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
TMP=${TMP:-/tmp}
PKG=$TMP/package-gtk2
@@ -59,7 +68,7 @@ mkdir -p $TMP $PKG/usr
cd $TMP
rm -rf gtk+-$VERSION
tar xvf $CWD/gtk+-$VERSION.tar.?z* || exit 1
-cd gtk+-$VERSION
+cd gtk+-$VERSION || exit 1
chown -R root:root .
find . \
@@ -68,6 +77,11 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
+# Include some patches from the 2.24 git branch
+#for file in $CWD/patches/*.gz ; do
+# zcat $file | patch -p1 --verbose || exit 1
+#done
+
# Fix build errors
zcat $CWD/fix_build_issues_on_tutorial_and_faq.diff.gz | patch -p1 --verbose || exit 1
@@ -102,7 +116,7 @@ CFLAGS="$SLKCFLAGS" \
--with-xinput=yes \
--enable-xkb \
--enable-introspection \
- --build=$ARCH-slackware-linux
+ --build=$ARCH-slackware-linux || exit 1
make $NUMJOBS || make || exit 1
@@ -118,6 +132,9 @@ make install \
DESTDIR=$PKG \
|| exit 1
+# Don't ship .la files:
+rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
+
# Don't clobber im-multipress.conf
mv $PKG/etc/gtk-2.0/im-multipress.conf $PKG/etc/gtk-2.0/im-multipress.conf.new || exit 1
@@ -182,8 +199,8 @@ cp -a \
$PKG/usr/doc/gtk+-$VERSION
( cd $PKG/usr/doc/gtk+-$VERSION
ln -s ../../share/gtk-doc/html/gail-libgail-util .
- ln -s ../../share/gtk-doc/html/gdk .
- ln -s ../../share/gtk-doc/html/gtk .
+ ln -s ../../share/gtk-doc/html/gdk2 .
+ ln -s ../../share/gtk-doc/html/gtk2 .
)
# If there's a ChangeLog, installing at least part of the recent history